function [IMC1,IMC2] = hist2d_params3(vstup)

% Funkce pro výpočet posledních příznaků z dvojrozměrného histogramu z LBP
% Vstupy funkce:
% vstup - histogram
% Výstupy funkce:
% IMC1 - informační měření korelace 1
% IMC2 - informační měření korelace 2

koef = 0;

[radku sloupcu] = size(vstup);
HXY = 0;
HXY1 = 0;
HXY2 = 0;

px = sum(vstup,2)'; % suma radku
py = sum(vstup,1);  % suma sloupcu

HX = -sum(px.*log_zero(px));
HY = -sum(py.*log_zero(py));

for i=1:radku
    for j=1:sloupcu
        HXY = HXY - vstup(i,j)*log_zero(vstup(i,j)+koef);
        HXY1 = HXY1 - vstup(i,j)*log_zero(px(i)*py(j)+koef);
        HXY2 = HXY2 - px(i)*py(j)*log_zero(px(i)*py(j)+koef);
    end
end

IMC1 = (HXY-HXY1)/max(HX,HY);
IMC2 = 1- exp(-2*sqrt(HXY2-HXY));